
{% extends 'base/base.html' %}

{% block page_content %}
 <!-- Dropdown Card Example -->
 <div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary"></h6>
    </div>
    <!-- Card Body -->
    <div class="card-body">
       
        {% if not obj %}
            <div class="alert alert-info">No hay apoyos recibidos</div>           
        {% else %}

        <table class="table table-bordered table-striped">
            <thead class="table-info text-uppercase" style="font-size: small;">
              <tr>                
                <th scope="col">Tipo</th>
                <th scope="col">Descripción</th>
                <th scope="col">Fecha de entrega</th>                
                {% comment %} <th scope="col">Notas adicionales</th> {% endcomment %}
                <th scope="col">Departamento</th>
                <th scope="col">Encargado de Ruta</th>
              </tr>
            </thead>

            <tbody style="font-size: small;">
                
                {% for item in obj %}
                    <tr>                    
                        <td>{{ item.tipo }}</td>
                        <td>{{ item.descripcion }}</td>
                        <td>{{ item.fecha_de_entrega }}</td>
                        
                        
                        {% comment %} {% if item.notas_adicionales %}
                            <td>{{ item.notas_adicionales }}</td> 
                        {% else %}
                            <td></td>
                        {% endif %} {% endcomment %}
                                                   
                        {% if item.departamento %}
                            <td>{{ item.departamento.nombre }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}

                        {% if item.encargado_de_ruta %}
                            <td>{{ item.encargado_de_ruta.nombres }} {{ item.encargado_de_ruta.ap_paterno }} </td>
                        {% else %}
                            <td></td>
                        {% endif %}
                                                                                             
                        <!-- <td>
                            <a href="#" class="btn btn-primary btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-list"></i>
                                </span>
                                <span class="text">Ver descripción</span>
                            </a>

                            <a href="{{ item.foto_de_comprobacion }}" class="btn btn-success btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-images"></i>
                                </span>
                                <span class="text">Ver foto</span>
                            </a>
                        </td> -->
                    </tr>
                {% endfor %}                                 
            </tbody>
          </table>

        {% endif %}
 
        
        <div>
            <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-secondary btn-icon-split">
                <span class="icon text-white-50">
                    <i class="fas fa-arrow-left"></i>
                </span>
                <span class="text">Regresar</span>
            </a>
            <!-- <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-warning btn-circle"><i class="far fa-caret-square-down"></i></a> -->
            <!-- <button type="button" class="btn btn-warning ml-3"><i class="fa-rainbow"></i><a href="{{ request.META.HTTP_REFERER }}">Regresar</a></button>     -->
        </div>
    </div>
</div>    

{% endblock page_content %}

{% block js_page %}
    <script>
        // llamamos al plugin datatable de jQuery
        $(document).ready( function () {
           
            $('.table').DataTable({
                "language": {
                    "processing": "Procesando...",
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "zeroRecords": "No se encontraron resultados",
                    "emptyTable": "Ningún dato disponible en esta tabla",
                    "infoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                    "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                    "search": "Buscar:",
                    "infoThousands": ",",
                    "loadingRecords": "Cargando...",
                    "paginate": {
                        "first": "Primero",
                        "last": "Último",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                    "aria": {
                        "sortAscending": ": Activar para ordenar la columna de manera ascendente",
                        "sortDescending": ": Activar para ordenar la columna de manera descendente"
                    }
                }
            });
        });

    </script>
{% endblock js_page %}




